# Translation Copilot Module for Drupal 10

## Description

The Translation Copilot module provides automed translation capability
for Drupal 10 websites. It integrates with Google translation services
free or paid to automatically translate content on your site.

## Features

- Automatic translation of content using translation services free or paid
- Configurable translation settings
- Integration with Drupal's multilingual features
- Automatic Translation with drush commands
  -- drush locale:add-language --lang-code=am --lang-name=Amharic
  -- drush locale:add-translation --source-lang=en --dest-lang=am

## Requirements

- Drupal 10.x
- Translation and languages configured

## Installation

1. Download and enable the Translation Copilot module.
2. Configure the Translation Copilot module to specify the translation service
  provider and other options.

## Usage

1. Enable one or more languages in addition to the default one
2. Click on Translate button of the content that you want auto translate
3. Add the translation check the form with auto translated fields to verify the
  automated translation
4. Save the node and publish the translation

## Configuration

1. Go to Extend > Modules in the Drupal administration panel.
2. Click the Configure link next to the Translation Copilot module.

Enter the following settings:

1. Content Types: The Content Types where you want enable translation copilot
2. API type: The type of Google Translate API you want to use.
3. API key: Your Google Translate API key.
4. API secret key: Your Google Translate API secret key.

To configure the Translation Copilot module, browse the "Configuration->Region and
language" page in your Drupal admin interface. Here, you can access the Translation Copilot settings and configure the translation service provider, language
settings, and other options.

## Contributing

Contributions to the Translation Copilot module are welcome!
If you encounter any issues or have suggestions for improvements,
please submit an issue or pull request on the
module's GitHub repository of Drupal.

## Maintainers

- Ravindra Singh

## License

This project is licensed under the GPL-2.0-or-later.
